.sysea--topbar, .sysea--topbar-mobile {
  padding: 5px 0;
  background-color: $sysea-topbar-background-color;
  color: $sysea-topbar-font-color;

  a {
    color: $sysea-topbar-font-color;

    &:hover, &:focus {
      color: $sysea-topbar-font-color;
    }
  }
}

.header-main {
  background-color: $sysea-header-background-color;
}

.header-row {
  padding: .5rem 0;
  justify-content: space-between;

  .sysea--header-logo-col {
    display: flex;
    align-items: center;

    .nav-main-toggle-btn {
      padding-left: 0;
    }

    .header-logo-picture {
      max-width: 10rem;

      .is-svg {
        min-height: 30px;
      }
    }

    .header-logo-main-img {
      width: 100%;
      max-width: 180px;
      padding: 0 1rem;
    }
  }

  .header-search-col {
    .header-search {
      background-color: $sysea-header-searchfield-background-color;
    }

    .input-group {
      align-items: center;

      .header-search-input {
        width: 150px;
        height: 35px;
        border: 0;
        background: transparent;
      }

      .header-search-btn {
        height: 35px;
        border: 0;
        background: transparent;

        .icon {
          > svg {
            top: 3px;
          }
        }
      }
    }
  }

  .header-actions-col {
    padding-left: .5rem;
  }

  .sysea--header-actions-pipe {
    width: 1px;
    height: 20px;
    display: block;
    margin: 0 .5rem;
    background: $sw-border-color;
  }

  .header-actions-btn {
    padding: .5rem;

    &.header-cart-btn {
      padding-right: 0;
    }
  }

  .sysea--account-menu-customer-salutation {
    padding: 1rem 0;
    border-bottom: 1px solid $border-color;
  }

  .account-aside-list-group {
    padding: .5rem 0;

    .account-aside-item {
      &.is-active {
        font-weight: inherit;
        color: inherit;
      }
    }
  }

  .account-aside-footer {
    padding: 1rem 0;

    .account-aside-btn {
      font-weight: inherit;
      color: inherit;
    }
  }

  .icon {
    width: 20px;
    height: 20px;
    color: $sysea-header-icon-color;
  }
}

.account-menu-login {
  border-bottom: 0;
  margin-bottom: 0;
}

.sysea--header-fixed {
  position: sticky;
  left: 0;
  right: 0;
  top: 0;
  z-index: 10;
}

.offcanvas {
  .account-menu-login-button {
    margin-bottom: 1rem;
  }
}

@include media-breakpoint-up(md) {
  .header-search-col {
    padding-right: 0;
  }
}

@include media-breakpoint-down(sm) {
  .header-search-col {
    padding: 0;
    .collapse:not(.show) {
      display: none !important;
    }

    .header-search {
      max-width: 100%;
      margin: .5rem 0 0;
      padding: 0.5rem 1rem 0;
      border-top: 1px solid $border-color;
    }
  }
}


@include media-breakpoint-down(xs) {
  .header-row {
    .sysea--header-logo-col {
      .nav-main-toggle-btn {
        padding-right: .5rem;
      }

      .header-logo-main-img {
        max-width: 100px;
        padding: 0;
      }
    }

    .header-actions-btn {
      padding: .25rem;
    }
  }
}